Skip to main content
`Ctrl`+`K`

# STShellSetApplyHermitianTranspose

Sets routine to use as the application of the conjugate-transposed operator to a vector in the user-defined spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetApplyHermitianTranspose(ST st,STShellApplyHermitianTransposeFn *applyhermtrans)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- applyhermtrans - the application-provided transformation routine

## Note

If configured with real scalars, this function has the same effect as `STShellSetApplyTranspose()`, so no need to call both.

## See Also

ST: Spectral Transformation, `STSHELL`, `STShellSetApply()`, `STShellSetApplyTranspose()`, `STShellSetBackTransform()`

## Level

advanced

## Location

src/sys/classes/st/impls/shell/shell.c

## Examples

src/eps/tutorials/ex10.c

## Implementations

STShellSetApplyHermitianTranspose_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages